#!/bin/bash
#
# Recipe-specific step for task Install: task.install.linux-firmware-rpidistro_20210315-3+rpt3-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
    log_run install -d ${installDir}${base_libdir}/firmware/brcm ${installDir}${base_libdir}/firmware/cypress

    log_run cp debian/config/brcm80211/LICENSE ${installDir}${base_libdir}/firmware/LICENSE.broadcom_bcm43xx-rpidistro

    # Replace outdated linux-firmware files with updated ones from
    # raspbian firmware-nonfree. Raspbian adds blobs and nvram
    # definitions that are also necessary so copy those too.
    for fw in brcmfmac43430-sdio brcmfmac43436-sdio brcmfmac43436s-sdio brcmfmac43455-sdio brcmfmac43456-sdio ; do
	log_run cp -R --no-dereference --preserve=mode,links -v debian/config/brcm80211/brcm/$fw.* ${installDir}${base_libdir}/firmware/brcm
    done
    log_run cp -R --no-dereference --preserve=mode,links -v debian/config/brcm80211/cypress/* ${installDir}${base_libdir}/firmware/cypress
    # add compat links. Fixes errors like
    # brcmfmac mmc1:0001:1: Direct firmware load for brcm/brcmfmac43455-sdio.raspberrypi,4-model-compute-module.txt failed with error -2
    log_run ln -s brcmfmac43455-sdio.txt ${installDir}${base_libdir}/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-compute-module.txt
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

