#!/bin/bash
# Script to install a prebuilt package

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

# TODO : install in /boot

#cp -r boot/ ${install_loc}

mkdir -p ${install_loc}/boot

# install u-boot dtb files

for DTB_FILE in boot/bcm2711* ; do
	echo "copying ${DTB_FILE} in ${install_loc}/boot"
	cp ${DTB_FILE} ${install_loc}/boot
done

# install start elf

for START_FILE in boot/start* ; do
	echo "copying ${START_FILE} in ${install_loc}/boot"
	cp ${START_FILE} ${install_loc}/boot
done

# install the fixup

for FIXUP_FILE in boot/fixup* ; do
	echo "copying ${FIXUP_FILE} in ${install_loc}/boot"
	cp ${FIXUP_FILE} ${install_loc}/boot
done

# copy overlays

log_exec cp -r boot/overlays ${install_loc}/boot

# copy bootcode.bin

log_exec cp boot/bootcode.bin ${install_loc}/boot

# still need cmdline.txt config.txt

do_buildstep_append